Subject: bug#41821: 28.0.50; read-directory-name in vc commands should provide defaults from projects

From: Eli Zaretskii <[email-masked]>
Date: Wed, 24 Jun 2020 21:29:11 +0300

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Wed, 24 Jun 2020 21:13:07 +0300
> 
> On 24.06.2020 18:42, Eli Zaretskii wrote:
> > So is it possible to have vc-known-roots defined in vc.el instead of
> > in vc-hooks.el?
> 
> Okay, but that new function delegates to code in project.el anyway, what 
> would be the practical difference?

It would be somewhat cleaner, I think.  Doesn't vc.el already have
some calls to project.el?

> OTOH, if you just said we shouldn't use project.el in vc/*, I could 
> understand that.

That'd be unreasonably harsh, I think.

Actually, I have a question: isn't project.el conceptually a
higher-level feature than VC?  If so, how come VC wants to call
project.el?